Summary:        Utilities for managing processes on your system
Name:           psmisc
Version:        22.20
Release:        %mkrel 1
License:        GPLv2+
Group:          Monitoring
URL:            http://psmisc.sourceforge.net/
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  ncurses-devel

%description
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs
of processes that are using specified files or filesystems.

%prep
%setup -q
%apply_patches

%build
export CFLAGS="%{optflags} -D_GNU_SOURCE"
%configure2_5x \
        --disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -d -m 755 %{buildroot}/sbin
mv %{buildroot}%{_bindir}/fuser %{buildroot}/sbin

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
/sbin/fuser
%{_bindir}/killall
%{_bindir}/prtstat
%{_bindir}/pstree*
%{_mandir}/man1/fuser.1*
%{_mandir}/man1/killall.1*
%{_mandir}/man1/prtstat.1*
%{_mandir}/man1/pstree.1*
%{_bindir}/peekfd
%{_mandir}/man1/peekfd.1*




%changelog
* Sat Apr 13 2013 Texstar <texstar at gmail.com> 22.20-1pclos2013
- 22.20

* Sun Jan 17 2010 Texstar <texstar at gmail.com> 22.8-1pclos2010
- Updated to 22.8.
